import React from 'react';
import { render, screen } from '@testing-library/react';
import { MdmModuleProvider } from '../contexts/MdmModuleContext';
import { Tags } from './Tags';
describe('Tags tests', function () {
    var values = ['tag1'];
    var className = 'class1';
    var entity = { uri: 'uri1' };
    var uiPath = 'https://uiPath';
    it('should render SpecialAttributesArray with correct props', function () {
        render(React.createElement(MdmModuleProvider, { values: { entity: entity, uiPath: uiPath } },
            React.createElement(Tags, { values: values, className: className })));
        expect(screen.getByTestId('reltio-attribute-value')).toHaveClass('class1');
        expect(screen.getByText('tag1')).toHaveAttribute('href', 'https://uiPath#p~com.reltio.plugins.tags.TagPerspective_e~uri1_tag~tag1');
    });
});
